Obtener empleados ligados a una nómina
curl --request GET \
--url https://rest.yafacture.com/nominas-empleados/{nominaId} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://rest.yafacture.com/nominas-empleados/{nominaId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rest.yafacture.com/nominas-empleados/{nominaId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rest.yafacture.com/nominas-empleados/{nominaId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://rest.yafacture.com/nominas-empleados/{nominaId}")
.header("x-api-key", "<api-key>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://rest.yafacture.com/nominas-empleados/{nominaId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"emisorId": "<string>",
"cuentaId": "<string>",
"receptorId": "<string>",
"nominaId": "<string>",
"emisorComprobanteId": "",
"salarioBaseCotApor": "",
"percepciones": null,
"deducciones": null,
"otrosPagos": null,
"incapacidades": null,
"status": true,
"fecha": "2023-11-07T05:31:56Z"
}{
"message": "Forbidden resource",
"error": "Forbidden",
"statusCode": 403
}Nóminas - empleados
Obtener empleados ligados a una nómina
GET
/
nominas-empleados
/
{nominaId}
Obtener empleados ligados a una nómina
Authorizations
x-api-keybearer
X-API-Key authentication header for the development token generated in Yafacture
Path Parameters
Response
Identificador único del emisor
Identificador único de la cuenta
Identificador único del receptor
Identificador único de la nómina
Identificador único del comprobante del emisor
Salario base de cotización y aportación
Percepciones del empleado
Deducciones del empleado
Otros pagos del empleado
Incapacidades del empleado
Estado activo/inactivo del empleado en nómina
Fecha del registro del empleado en nómina

